from django.urls import path, include
from rest_framework.routers import DefaultRouter
from .views import (
    MeetingRoomViewSet, MeetingViewSet,
    MeetingInvitationViewSet, MeetingPresentationViewSet,
)

router = DefaultRouter()
router.register(r"meeting-rooms", MeetingRoomViewSet, basename="meeting-room")
router.register(r"meetings", MeetingViewSet, basename="meeting")
router.register(r"meeting-invitations", MeetingInvitationViewSet, basename="meeting-invitation")
router.register(r"meeting-presentations", MeetingPresentationViewSet, basename="meeting-presentation")

urlpatterns = [
    path("", include(router.urls)),
]
